### Method

# EBackend Backend is_destination_reachable

since: 3.8

#### Declaration [src]

    gboolean
    e_backend_is_destination_reachable (
      EBackend* backend,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Checks whether the `backend`‘s destination server, as returned by e_backend_get_destination_address(), is reachable. If the `e_backend_get_destination_address()` returns `FALSE`, this function returns `TRUE`, meaning the destination is always reachable. This uses `GNetworkMonitor`‘s `g_network_monitor_can_reach()` for reachability tests.

Available since: 3.8

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` instance, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE`, when destination server address is reachable or the backend doesn’t provide destination address; `FALSE` if the backend destination server cannot be reached currently.